Skip to main content
GET
/
api
/
v1
/
project-files
List project files
curl --request GET \
  --url https://api.example.com/api/v1/project-files \
  --header 'Authorization: <api-key>'
{
  "count": 123,
  "project_files": [
    {
      "blob_sha256": "<string>",
      "bucket_id": "<string>",
      "compression": "<string>",
      "content_type": "<string>",
      "created_at": "<string>",
      "file_uuid": "<string>",
      "filename": "<string>",
      "include_images": true,
      "include_snapshots": true,
      "is_read_only": true,
      "keep_compute_ids": true,
      "owner_id": "<string>",
      "project_id": "<string>",
      "project_name": "<string>",
      "reset_mac_addresses": true,
      "size_bytes": 123,
      "updated_at": "<string>",
      "version_tag": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and JWT token.

Query Parameters

project_id
string

Filter by GNS3 project UUID

Response

OK

count
integer
project_files
object[]